<?php

namespace App\Repositories;

use App\CalendarTemplateExlusion;

class CalendarTemplateExlusionRepository implements RepositoryInterface{
    public static function all() {
        return CalendarTemplateExlusion::all();
    }

    public static function create(array $data){
        return CalendarTemplateExlusion::create($data);
    }

    public static function update(array $data, $id){
        CalendarTemplateExlusion::where('id',$id)->update($data);
        return CalendarTemplateExlusion::findOrFail($id);
    }

    public static function delete($id){
        return CalendarTemplateExlusion::destroy($id);
    }

    public static function find($id){
        return CalendarTemplateExlusion::findOrFail($id);
    }

}
